import { OnInit, EventEmitter, SimpleChanges, OnChanges } from '@angular/core';
export declare class UsmleExamCalculatorComponent implements OnInit, OnChanges {
    expression: string;
    returnValue: number;
    sqrt: number;
    calculatorIsOpen: boolean;
    memory: string;
    memoryPlus: string;
    droppedData: string;
    calculatorOpen: boolean;
    resetFeature: boolean;
    updateResetValue: EventEmitter<any>;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    /**
     * Close the calculator
     */
    closeCal(): void;
    /**
     * Concat the expression in the calculator
     * @param calcValue
     */
    concatNumber(calcValue: string): void;
    /**
     * Arithemetic operation
     */
    operation(): string | false;
    /**
     * validating display expression
     * @param event
     */
    validateKey(event: any): boolean;
    /**
     * to show calculator dialog box
     */
    showCalculatorDialogBox(): void;
}
